<?php
/**
* @version		1.0.1
* @package		Joomla
* @copyright	Copyright (C) 2008 Majunke Michael. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Import library dependencies
jimport('joomla.plugin.plugin');

/**
* Slider plugin Button
*/
class plgButtonSliderBtn extends JPlugin
{

    function plgButtonSliderBtn( &$subject, $config) {
        parent::__construct($subject, $config);
    }

    function onDisplay($name)
    {

		//
  		$doc 		=& JFactory::getDocument();

	 	// button is not active in specific content components
  		$getContent = $this->_subject->getContent($name);
	 	// $present = JText::_('ALREADY EXISTS', true) ;

	 	// insert script
	 	$js = "function insertSlider(editor) {
		           jInsertEditorText('{slider id=\"1\" title=\"Enter Title\" direction=\"0\"}..Enter Text..{sliderEnd}', editor );
		       }";
  		$doc->addScriptDeclaration($js);

		//
  		$button = new JObject();
  		$button->set('modal', false);
  		$button->set('onclick', 'insertSlider(\''.$name.'\');return false;'); // call script
  		$button->set('text', JText::_('Slider'));
  		$button->set('name', 'blank'); // we dont need a spezial css style class
  		$button->set('link', '#');

  		return $button;

   }

}
